/******************************************************************************
*
* project name:    TIGCC Tools Suite
* file name:       tthelp.c
* initial date:    21/08/2000
* author:          thomas.nussbaumer@gmx.net
* description:     prints tools list
*
* $Id: tthelp.c,v 1.11 2002/03/19 09:40:02 tnussb Exp $
*
******************************************************************************/

#include <stdio.h>

#include "ttversion.h"
#include "revtools.h"

#ifdef CVS_FILE_REVISION
#undef CVS_FILE_REVISION
#endif
//-----------------------------------------------------------------------------
// DON'T EDIT THE NEXT REVISION BY HAND! THIS IS DONE AUTOMATICALLY BY THE
// CVS SYSTEM !!!
//-----------------------------------------------------------------------------
#define CVS_FILE_REVISION "$Revision: 1.11 $"


//=============================================================================
// the shortest "tool", but still helpful if you forget things as easy as I am
//=============================================================================
int main(int argc,char *argv[]) {
    PRINT_ID("TTHelp");
    fprintf(USAGE_OUT, "ttarchive   ... archive generation\n"\
                       "ttbin2bin   ... TI89 <-> TI92p binary conversion\n"\
                       "ttbin2hex   ... binary file to C array data\n"\
                       "ttbin2oth   ... binary file to special type calcfile\n"\
                       "ttbin2str   ... binary file to string calcfile\n"\
                       "ttchecksum  ... corrects checksum of 89z/89s/89y/9xz/9xs/9xy files\n"\
                       "ttdasm      ... disassembler for TI89/92p executables (early beta)\n"\
                       "ttdos2ebk   ... dos text to ebook conversion\n"\
                       "ttebkgen    ... ebook generator\n"\
                       "ttextract   ... extract from binary using start and endtoken\n"\
                       "tthelp      ... prints tool list\n"\
                       "tthex2bin   ... converts textfile with hex or binary numbers into a binary file\n"\
                       "ttinfo      ... prints infos about 89z/89s/89y/9xz/9xs/9xy files\n"\
                       "ttpack      ... packer\n"\
                       "ttppggen    ... PPG (packed programs) generator\n"\
                       "ttproto     ... TIGCC nostub prototype main file generation\n"\
                       "ttsplit     ... splits a file in parts\n"\
                       "ttstrip     ... strips header and trailing checksum from calcfile\n"\
                       "tttiler     ... generates single sprites from a binary image file\n"\
                       "ttunarchive ... extracts entries from TTArchives or list content\n"\
                       "ttunebk     ... exports complete text of ebook to textfile\n"\
                       "ttunpack    ... unpacker\n\n");
    return 0;
}

//#############################################################################
//###################### NO MORE FAKES BEYOND THIS LINE #######################
//#############################################################################
//
//=============================================================================
// Revision History
//=============================================================================
//
// $Log: tthelp.c,v $
// Revision 1.11  2002/03/19 09:40:02  tnussb
// tthex2bin added
//
// Revision 1.10  2002/02/07 09:49:37  tnussb
// all local includes changed, because header files are now located in pctools folder
//
// Revision 1.9  2002/02/07 09:13:14  tnussb
// changes for Tools Suite Release 1.00
//
// Revision 1.8  2001/04/11 23:01:40  Thomas Nussbaumer
// ttunebk added
//
// Revision 1.7  2001/03/21 21:23:13  Thomas Nussbaumer
// using now USAGE_OUT for help output
//
// Revision 1.6  2001/01/06 10:01:56  Thomas Nussbaumer
// ttchecksum info changed
//
// Revision 1.5  2000/11/26 20:00:35  Thomas Nussbaumer
// help line for tttiler added
//
// Revision 1.4  2000/10/01 15:05:25  Thomas Nussbaumer
// more tools added
//
// Revision 1.3  2000/08/25 18:14:44  Thomas Nussbaumer
// ttebkgen added
//
// Revision 1.2  2000/08/23 19:59:52  Thomas Nussbaumer
// adapted to automatic version display (revtools.h)
//
// Revision 1.1  2000/08/21 17:12:27  Thomas Nussbaumer
// initial version
//
//
//
