@echo off
REM --------------------------------------------------------------------
REM $Id: buildall.bat,v 1.14 2002/03/28 21:18:01 tnussb Exp $
REM --------------------------------------------------------------------

REM --------------------------------
REM building ttstart
REM --------------------------------
echo building ttstart ...
tigcc -Os -Wall -W -Wwrite-strings ttstart.c
copy ttstart.89z ..\..\bin89
copy ttstart.9xz ..\..\bin92p
del  ttstart.89z
del  ttstart.9xz

REM --------------------------------
REM building pstarter.o
REM --------------------------------
echo building pstarter.o ...
tigcc -Os -c -Wall -W -Wwrite-strings -DCUSTOM_NAME=tempprog -DONLY_PPG ttstart.c
copy ttstart.o ..\..\tigcc_patch\pstarter.o
del ttstart.o

REM --------------------------------
REM building ttmem
REM --------------------------------
echo building ttmem ...
tigcc -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ttmem.c
copy ttmem.89z ..\..\bin89
copy ttmem.9xz ..\..\bin92p
del  ttmem.89z
del  ttmem.9xz

REM --------------------------------
REM building tthedit
REM --------------------------------
echo building tthedit ...
tigcc -Os -DUSE_TI89 -Wall -W -Wwrite-strings tthedit.c
copy tthedit.89z ..\..\bin89
del  tthedit.89z

tigcc -Os -DUSE_TI92P -Wall -W -Wwrite-strings tthedit.c
copy tthedit.9xz ..\..\bin92p
del  tthedit.9xz

REM --------------------------------
REM building tthw
REM --------------------------------
echo building tthw ...
tigcc -Os -Wall -W -Wwrite-strings -fomit-frame-pointer tthw.c
copy tthw.89z ..\..\bin89
copy tthw.9xz ..\..\bin92p
del  tthw.89z
del  tthw.9xz

REM --------------------------------
REM building ebook
REM --------------------------------
echo building ebook ...
tigcc -DUSE_TI89 -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ebook.c
copy ebook.89z ..\..\bin89
del *.89z

tigcc -DUSE_TI92P -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ebook.c
copy ebook.9xz ..\..\bin92p
del *.9xz

REM --------------------------------
REM building tthdex
REM --------------------------------
echo building tthdex ...
tigcc -DUSE_TI89 -Os -Wall -W -Wwrite-strings -fomit-frame-pointer tthdex.c
copy tthdex.89z ..\..\bin89
del *.89z
tigcc -DUSE_TI89 -DNO_HELP -Os -Wall -W -Wwrite-strings -fomit-frame-pointer -o tthdexm tthdex.c
copy tthdexm.89z ..\..\bin89
del *.89z

tigcc -DUSE_TI92P -Os -Wall -W -Wwrite-strings -fomit-frame-pointer tthdex.c
copy tthdex.9xz ..\..\bin92p
del *.9xz
tigcc -DUSE_TI92P -DNO_HELP -Os -Wall -W -Wwrite-strings -fomit-frame-pointer -o tthdexm tthdex.c
copy tthdexm.9xz ..\..\bin92p
del *.9xz

REM --------------------------------
REM building ttbatt
REM --------------------------------
echo building ttbatt ...
tigcc -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ttbatt.c
copy ttbatt.89z ..\..\bin89
copy ttbatt.9xz ..\..\bin92p
del *.89z
del *.9xz

REM --------------------------------
REM building ttrow
REM --------------------------------
echo building ttrow ...
tigcc -DUSE_TI89 -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ttrow.c
tigcc -DUSE_TI92P -Os -Wall -W -Wwrite-strings -fomit-frame-pointer ttrow.c
copy ttrow.89z ..\..\bin89
copy ttrow.9xz ..\..\bin92p
del *.89z
del *.9xz

@echo on
